# template: default
%global gem_name optimist

Name: rubygem-%{gem_name}
Version: 3.1.0
Release: 1%{?dist}
Summary: Optimist is a commandline option parser for Ruby that just gets out of your way
License: MIT
URL: https://manageiq.github.io/optimist/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# start specfile generated dependencies
Requires: ruby
BuildRequires: ruby
BuildRequires: rubygems-devel
BuildArch: noarch
# end specfile generated dependencies

%description
Optimist is a commandline option parser for Ruby that just
gets out of your way. One line of code per option is all you need to write.
For that, you get a nice automatically-generated help page, robust option
parsing, command subcompletion, and sensible defaults for everything you don't
specify.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n  %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_cc.yml
%{gem_instdir}/.rubocop_local.yml
%{gem_instdir}/.whitesource
%{gem_instdir}/FAQ.txt
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%exclude %{gem_instdir}/optimist.gemspec
%{gem_instdir}/test

%changelog
* Sun Jul 30 2023 Foreman Packaging Automation <packaging@theforeman.org> 3.1.0-1
- Update to 3.1.0

* Wed Jul 06 2022 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 3.0.1-1
- Update to 3.0.1

* Thu Mar 11 2021 Eric D. Helms <ericdhelms@gmail.com> - 3.0.0-3
- Rebuild against rh-ruby27

* Wed Apr 08 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.0.0-2
- Bump to release for EL8

* Thu Mar 21 2019 Marek Hulan <mhulan@redhat.com> 3.0.0-1
- Add rubygem-optimist generated by gem2rpm using the scl template

